> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Receipt

> Retrieve receipt data for POS transactions



## OpenAPI

````yaml /openapi.yml get /api/v2/transactions/{transactionId}/receipt
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/transactions/{transactionId}/receipt:
    get:
      tags:
        - Transactions
      summary: Receipt
      description: Retrieve receipt data for POS transactions
      operationId: api-transactions-receipt
      parameters:
        - name: transactionId
          in: path
          description: The transaction identifier generated by Paybyrd.
          schema:
            type: string
          required: true
        - name: culture
          in: query
          description: The language to be used. E.g. 'en-US, pt-PT and etc'
          schema:
            type: string
          required: false
        - name: timezone
          in: query
          description: >-
            The timezone to be used. E.g. 'Europe/Lisbon, Africa/Johannesburg
            and etc'
          schema:
            type: string
          required: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  $ref: '#/components/examples/ReceiptResponseExample'
      deprecated: false
components:
  examples:
    ReceiptResponseExample:
      value:
        merchantDetails:
          - key: MerchantDetailsPublicName
            label: name
            value: Your store name
          - key: MerchantDetailsAddress
            label: Address
            value: Your store address
          - key: MerchantDetailsZip
            label: Zip
            value: 5544MH
          - key: MerchantDetailsCity
            label: City
            value: Amsterdam
          - key: MerchantDetailsCountry
            label: Country
            value: Netherlands
          - key: MerchantDetailsContact
            label: Contact
            value: store_email@mail.com
          - key: MerchantDetailsAdditionalInformation
            label: Additional Information
        receiptType:
          - key: ReceiptType
            label: Receipt Type
            value: Cardholder Receipt
        transactionType:
          - key: TransactionType
            label: Type
            value: Payment
        date:
          - key: Date
            label: Date
            value: 5/6/2022
        time:
          - key: Time
            label: Time
            value: 12:27:12 PM
        identifier:
          - key: Identifier
            label: PWID
            value: adc5e128b21f4366847f66c9e244b5f0
        statusText:
          - key: StatusText
            label: Information
            value: Please retain receipt!
        amountAndCurrency:
          - key: AmountAndCurrency
            label: Amount
            value: €16.00
        subject:
          - key: Subject
            label: Description
            value: ''
        clearingDetails:
          - key: ClearingDetailsTransactionIdentifier
            label: Transaction
            value: CI_aUJ
          - key: ClearingDetailsAuthorizationCode
            label: Authorization
            value: AI_sed/II_5z
          - key: ClearingDetailsMerchantId
            label: Merchant ID
            value: 949824be-2be5-42b4-9220-cce565fb2ccc
          - key: ClearingDetailsTerminalId
            label: Terminal ID
            value: BAD13041
        paymentDetails:
          - key: PaymentDetailsEMVApplicationID
            label: AID
            value: A0000000031010
          - key: PaymentDetailsSource
            label: Entry Mode
            value: Contactless
          - key: PaymentDetailsSchemeOrLabel
            label: Card
            value: VISA CREDITO
          - key: PaymentDetailsMaskedAccount
            label: Account
            value: '**** **** **** 9660'
        signatureLineRequired: false
        tipIncluded: false
        lines:
          - Your store name
          - SA
          - Your store address
          - '12'
          - 5544MH
          - Amsterdam
          - Netherlands
          - storeemail@mail.com
          - ''
          - Cardholder Receipt Payment
          - ''
          - €10.00
          - ''
          - Card              VISA CREDITO
          - Account    **** **** **** 9660
          - AID             A0000000031010
          - Entry Mode         Contactless
          - ''
          - '    Please retain receipt!    '
          - ''
          - 5/6/2022            12:27:12 PM
          - ''
          - Transaction             CI_aUJ
          - Authorization    AI_sed/II_5z9
          - Merchant ID
          - 949824be-2be5-42b4-9220-cce565
          - '                        fb2ccc'
          - Terminal ID           BAD13041
          - ''
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````